%define major 0
%define libname %mklibname %name %major
%define libdev %mklibname %name -d

Name:       iniparser
Version:    3.1
Release:    %mkrel 2
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries
License:    MIT
URL:        http://ndevilla.free.fr/iniparser/
Source0:    http://ndevilla.free.fr/iniparser/%name-%version.tar.gz

%description
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.


%package -n %libname
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries

%description -n %libname
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package -n %libdev
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %version
Provides:   %{name}-devel = %version-%release

%description -n %libdev
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}

%build
# remove library rpath from Makefile
sed -i 's|-Wl,-rpath -Wl,/usr/lib||g' Makefile
sed -i 's|-Wl,-rpath,/usr/lib||g' Makefile
# set the CFLAGS to Fedora standard
sed -i 's|^CFLAGS|CFLAGS = %{optflags} -fPIC\nNOCFLAGS|' Makefile
%make libiniparser.so

%install
# iniParser doesn't have a 'make install' of its own :(
install -d %{buildroot}%{_includedir} %{buildroot}%{_libdir}
install -m 644 -t %{buildroot}%{_includedir}/ src/dictionary.h src/iniparser.h
install -m 755 -t %{buildroot}%{_libdir}/ libiniparser.so.0
ln -s libiniparser.so.0 %{buildroot}%{_libdir}/libiniparser.so

%files -n %libname
%doc README LICENSE
%{_libdir}/libiniparser.so.%{major}*

%files -n %libdev
%{_libdir}/libiniparser.so
%{_includedir}/*.h



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 354401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 neoclust <neoclust> 3.1-1.mga3
+ Revision: 266986
- New version 3.1
  Add a new provide in the devel package

* Mon Jul 02 2012 colin <colin> 3.0-1.mga3
+ Revision: 266785
- Fix group
- Import iniparser (based on Fedora package, adapted by Nicolas Lecureuil)

